# GUI-based test launcher

## Overview

This module provides a GUI-based test launcher for any Python package.

Usage example:

    import your_package

    from guidata.guitest import run_testlauncher
    run_testlauncher(your_package)

## Reference/API

guidata.guitest.run_testlauncher(package: ModuleType) → None

  Run test launcher

  Parameters:

    package (module) – test package

class guidata.guitest.TestModule(test_package, path: str)

  Object representing a test module (Python script)

  Parameters:

    - test_package (module) – test package

    - path (str) – test module path

guidata.guitest.get_tests(package, category: str) → list[TestModule]

  Retrieve test scripts from test package

  Parameters:

    - package (module) – package to test

    - category (str) – test category (values: “all”, “visible”, “batch”)

  Returns:

    list of test modules

  Return type:

    list[TestModule]